FUNCTION::SYMDATA(3stap)

NAME
function::symdata - Return the kernel symbol and module offset for the address

SYNOPSIS

    symdata:string(addr:long)

ARGUMENTS

addr
    The address to translate

DESCRIPTION

Returns the (function) symbol name associated with the given address if known, the offset from the start and size of the symbol, plus module name (between brackets). If symbol is unknown, but module is known, the offset inside the module, plus the size of the module is added. If any element is not known it will be omitted and if the symbol name is unknown it will return the hex string for the given address.

SEE ALSO
tapset::context-symbols(3stap)